Better ListView Class Reference |

# DictionaryBase(TKey,TValue).Remove(TKey) Method

Removes the element with the specified key from the IDictionary`2.

public abstract bool DictionaryBase(
TKey key
);

#### Parameters

key
  The key of the element to remove.

#### Return Value

true if the element is successfully removed; otherwise, false. This method also returns false if key was not found in the original IDictionary`2.

#### Implements

IDictionary<TKey, TValue>.Remove

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | key is null.
NotSupportedException | The IDictionary`2 is read-only.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterListView Namespace | DictionaryBase<TKey, TValue>.Remove Overload List